0

I m using Ubuntu 18.04.2 LTS. After successful installation of php7.2-pgsql, I cant install pdo_pgsql. I have tried following command:

sudo apt-get install pdo_pgsql

and got this error:

E: Unable to locate package pdo_pgsql

I update php.ini file as well removing comment extension for pdo_pgsql but i m still facing "Unable to locate package pdo_pgsql.

0

If you have a look at the files provided by php-7.2-pgsql, you will see that the pdo_pgsql is part of the php7.2-pgsql-package.

pdo_pgsql is a php module. You enable php-modules by adding them to the php.ini, as you seems to have done from what you write.

In general: if you can add a module to php.ini, and not get exceptions when using PHP, then the module is present.

pdo_pgsql is not a stand-alone package you can install with apt.

  • Thank you so much. As you said, pdo_pgsql is not a stand-alone package. I went through documentation and i m cleared. Previously, I enabled pdo_pgsql in php.ini, only thing left was to restart apache. Problem solved. – Silen Jul 16 at 8:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.